# cabal2spec-0.25.2
# https://fedoraproject.org/wiki/Packaging:Haskell
# https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name snap-core

%global common_summary Snap web framework core library

%global common_description Snap is a simple and fast web development framework and server written\
in Haskell.  This library contains the core definitions and types for\
the Snap framework.

Name:           ghc-%{pkg_name}
Version:        0.9.0
Release:        4%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
# BEGIN cabal2spec
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
ExclusiveArch:  %{ghc_arches}
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros %{!?without_hscolour:hscolour}
# END cabal2spec
BuildRequires:   ghc-attoparsec-enumerator-prof >= 0.3
BuildRequires:   ghc-blaze-builder-enumerator-prof
BuildRequires:   ghc-base16-bytestring-prof
BuildRequires:   ghc-bytestring-nums-prof
BuildRequires:   ghc-case-insensitive-prof
BuildRequires:   ghc-directory-prof
BuildRequires:   ghc-dlist-prof
BuildRequires:   ghc-HUnit-prof
BuildRequires:   ghc-MonadCatchIO-transformers-prof
BuildRequires:   ghc-mtl-prof
BuildRequires:   ghc-mwc-random-prof
BuildRequires:   ghc-old-locale-prof
BuildRequires:   ghc-regex-posix-prof
BuildRequires:   ghc-unix-compat-prof
BuildRequires:   ghc-unordered-containers-prof
BuildRequires:   ghc-vector-prof
BuildRequires:   ghc-zlib-enum-prof

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


# requires pureMD5 and test-framework*
#%%check
#cd test
#../Setup configure
#../Setup build
#./runTestsAndCoverage.sh


%install
%ghc_lib_install


%ghc_devel_package

%ghc_devel_description


%ghc_devel_post_postun


%ghc_files LICENSE
%doc CONTRIBUTORS README*.md


%changelog
* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jul 16 2012 Jens Petersen <petersen@redhat.com> - 0.9.0-3
- change prof BRs to devel

* Fri Jun 22 2012 Jens Petersen <petersen@redhat.com> - 0.9.0-2
- rebuild

* Thu Jun 21 2012 Jens Petersen <petersen@redhat.com> - 0.9.0-1
- update to 0.9.0

* Fri Jun 15 2012 Jens Petersen <petersen@redhat.com> - 0.8.1-2
- rebuild

* Tue May  1 2012 Jens Petersen <petersen@redhat.com> - 0.8.1-1
- update to 0.8.1

* Fri Mar 23 2012 Jens Petersen <petersen@redhat.com> - 0.8.0.1-1
- update to 0.8.0.1
- mwc-random version patch no longer needed

* Thu Mar  8 2012 Jens Petersen <petersen@redhat.com> - 0.7.0.1-2
- rebuild

* Mon Jan 16 2012 Jens Petersen <petersen@redhat.com> - 0.7.0.1-1
- update to 0.7.0.1 and cabal2spec-0.25.2
- add some doc files
- allow building with mwc-random-0.11

* Fri Dec 16 2011 Jens Petersen <petersen@redhat.com> - 0.6.0.1-1
- update to 0.6.0.1
- new deps base16-bytestring, mwc-random, unordered-containers,
  regex-posix, and HUnit

* Tue Nov 22 2011 Jens Petersen <petersen@redhat.com> - 0.5.5-1
- update to 0.5.5
- depends on zlib-enum and blaze-builder-enumerator

* Tue Nov  8 2011 Jens Petersen <petersen@redhat.com> - 0.5.4-2
- add missed mtl dep

* Sat Oct 15 2011 Jens Petersen <petersen@redhat.com> - 0.5.4-1
- update to 0.5.4

* Thu Sep  8 2011 Jens Petersen <petersen@redhat.com> - 0.5.3.1-1
- BSD license and deps

* Thu Sep  8 2011 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.5.3.1-0
- initial packaging for Fedora automatically generated by cabal2spec-0.24.1
